const unsigned char font[96][6] = {{0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, //
                                   {0x00, 0x00, 0x5e, 0x00, 0x00, 0x00}, // !
                                   {0x00, 0x0e, 0x00, 0x0e, 0x00, 0x00}, // "
                                   {0xd0, 0x70, 0xdc, 0x70, 0x58, 0x00}, // #
                                   {0x26, 0x4a, 0xff, 0x52, 0x22, 0x00}, // $
                                   {0x00, 0x46, 0x2a, 0x1a, 0x0e, 0x04}, // %
                                   {0x7e, 0x76, 0x42, 0x45, 0x6b, 0x51}, // &
                                   {0x00, 0x00, 0x0e, 0x02, 0x00, 0x00}, // '
                                   {0x00, 0x7e, 0x81, 0x00, 0x00, 0x00}, // (
                                   {0x00, 0x81, 0x7e, 0x00, 0x00, 0x00}, // )
                                   {0x00, 0x1c, 0x00, 0x00, 0x00, 0x00}, // *
                                   {0x00, 0x20, 0x7c, 0x20, 0x00, 0x00}, // +
                                   {0x00, 0x00, 0x80, 0x60, 0x00, 0x00}, // ,
                                   {0x00, 0x10, 0x10, 0x10, 0x00, 0x00}, // -
                                   {0x00, 0x40, 0x00, 0x00, 0x00, 0x00}, // .
                                   {0x00, 0xfe, 0x00, 0x00, 0x00, 0x00}, // /
                                   {0x00, 0x30, 0x48, 0x48, 0x30, 0x00}, // 0
                                   {0x10, 0x48, 0x78, 0x40, 0x00, 0x00}, // 1
                                   {0x00, 0x42, 0x62, 0x52, 0x4a, 0x46}, // 2
                                   {0x00, 0x88, 0x28, 0x38, 0xc0, 0x00}, // 3
                                   {0x00, 0x20, 0x50, 0x48, 0x48, 0xe0}, // 4
                                   {0xf0, 0x28, 0x28, 0xc8, 0x48, 0x00}, // 5
                                   {0x00, 0x38, 0x4c, 0x46, 0x26, 0x1a}, // 6
                                   {0x08, 0x88, 0x48, 0x28, 0x18, 0x08}, // 7
                                   {0x14, 0x2a, 0x46, 0x2a, 0x14, 0x00}, // 8
                                   {0x00, 0x30, 0x48, 0x48, 0xa8, 0x78}, // 9
                                   {0x00, 0x00, 0x48, 0x00, 0x00, 0x00}, // :
                                   {0x00, 0x00, 0x80, 0x68, 0x00, 0x00}, // ;
                                   {0x08, 0x14, 0x22, 0x41, 0x00, 0x00}, // <
                                   {0x00, 0x30, 0x30, 0x30, 0x30, 0x00}, // =
                                   {0x41, 0x22, 0x14, 0x08, 0x00, 0x00}, // >
                                   {0x00, 0x02, 0x52, 0x0a, 0x06, 0x00}, // ?
                                   {0x00, 0x38, 0x44, 0x42, 0xa2, 0xbc}, // @
                                   {0x20, 0x40, 0x62, 0x14, 0x12, 0x14}, // A
                                   {0x62, 0x7e, 0x4a, 0x4a, 0x34, 0x00}, // B
                                   {0x1c, 0x22, 0x42, 0x42, 0x42, 0x24}, // C
                                   {0x42, 0x7e, 0x42, 0x42, 0x24, 0x18}, // D
                                   {0x42, 0x7e, 0x4a, 0x4a, 0x42, 0x00}, // E
                                   {0x00, 0x42, 0x7e, 0x0a, 0x02, 0x00}, // F
                                   {0x1c, 0x22, 0x42, 0x52, 0xe4, 0x00}, // G
                                   {0x00, 0x42, 0x7e, 0x08, 0x7e, 0x42}, // H
                                   {0x00, 0x42, 0x7e, 0x42, 0x00, 0x00}, // I
                                   {0x02, 0x82, 0x7e, 0x02, 0x00, 0x00}, // J
                                   {0x00, 0x42, 0x7e, 0x08, 0x08, 0x16}, // K
                                   {0x00, 0x42, 0x7e, 0x40, 0x60, 0x00}, // L
                                   {0x00, 0x7e, 0x44, 0x08, 0x10, 0x08}, // M
                                   {0x00, 0x7e, 0x42, 0x04, 0x08, 0x08}, // N
                                   {0x7e, 0x24, 0x42, 0x42, 0x24, 0x18}, // O
                                   {0x02, 0x7e, 0x52, 0x12, 0x0c, 0x00}, // P
                                   {0x18, 0x24, 0x42, 0x42, 0xa4, 0x18}, // Q
                                   {0x42, 0x7e, 0x46, 0x0e, 0x16, 0x20}, // R
                                   {0xf3, 0xc6, 0x46, 0x4a, 0x37, 0x00}, // S
                                   {0x02, 0x02, 0x7e, 0x02, 0x02, 0x00}, // T
                                   {0x00, 0x02, 0x3e, 0x40, 0x3e, 0x02}, // U
                                   {0x02, 0x1e, 0x20, 0x40, 0x20, 0x12}, // V
                                   {0x02, 0x0e, 0x20, 0x40, 0x22, 0x1e}, // W
                                   {0x42, 0x66, 0x1a, 0x1e, 0x66, 0x42}, // X
                                   {0x02, 0x0a, 0x50, 0x60, 0x50, 0x0a}, // Y
                                   {0x02, 0x42, 0x62, 0x4a, 0x42, 0x20}, // Z
                                   {0x00, 0x00, 0xfe, 0x82, 0x00, 0x00}, // [
                                   {0x00, 0xfe, 0x00, 0x00, 0x00, 0x00}, // "\"
                                   {0x00, 0x82, 0xfe, 0x00, 0x00, 0x00}, // ]
                                   {0x00, 0x1c, 0x06, 0x18, 0x00, 0x00}, // ^
                                   {0x80, 0x80, 0x80, 0x80, 0x80, 0x00}, // _
                                   {0x00, 0x00, 0x02, 0x00, 0x00, 0x00}, // `
                                   {0x28, 0x58, 0x58, 0x78, 0x40, 0x00}, // a
                                   {0x40, 0x3f, 0x48, 0x48, 0x38, 0x00}, // b
                                   {0x30, 0x48, 0x48, 0x30, 0x00, 0x00}, // c
                                   {0x38, 0x48, 0x48, 0x3f, 0x40, 0x00}, // d
                                   {0x30, 0x68, 0x68, 0x30, 0x00, 0x00}, // e
                                   {0x48, 0x7f, 0x09, 0x02, 0x00, 0x00}, // f
                                   {0x98, 0x68, 0x68, 0x58, 0x84, 0x00}, // g
                                   {0x40, 0x7f, 0x08, 0x48, 0x78, 0x40}, // h
                                   {0x00, 0x78, 0x40, 0x00, 0x00, 0x00}, // i
                                   {0x08, 0xfa, 0x08, 0x00, 0x00, 0x00}, // j
                                   {0x40, 0x7f, 0x08, 0x14, 0x28, 0x48}, // k
                                   {0x7e, 0x40, 0x00, 0x00, 0x00, 0x00}, // l
                                   {0x48, 0x78, 0x48, 0x78, 0x48, 0x78}, // m
                                   {0x48, 0x78, 0x08, 0x48, 0x78, 0x40}, // n
                                   {0x30, 0x48, 0x48, 0x30, 0x00, 0x00}, // o
                                   {0x08, 0xf0, 0x48, 0x48, 0x30, 0x00}, // p
                                   {0x30, 0x48, 0x48, 0xf0, 0x08, 0x00}, // q
                                   {0x40, 0x78, 0x00, 0x08, 0x00, 0x00}, // r
                                   {0x30, 0x68, 0x68, 0x10, 0x00, 0x00}, // s
                                   {0x08, 0x3e, 0x48, 0x48, 0x20, 0x00}, // t
                                   {0x08, 0x78, 0x38, 0x48, 0x00, 0x00}, // u
                                   {0x18, 0x40, 0x20, 0x18, 0x08, 0x00}, // v
                                   {0x38, 0x40, 0x38, 0x40, 0x38, 0x40}, // w
                                   {0x48, 0x28, 0x10, 0x28, 0x48, 0x00}, // x
                                   {0x08, 0x38, 0x48, 0xf8, 0x00, 0x00}, // y
                                   {0x48, 0x68, 0x58, 0x48, 0x00, 0x00}, // z
                                   {0x00, 0x00, 0x10, 0x6c, 0x82, 0x00}, // {
                                   {0x00, 0x00, 0x7e, 0x00, 0x00, 0x00}, // |
                                   {0x00, 0x00, 0x82, 0x6c, 0x10, 0x00}, // }
                                   {0x00, 0x20, 0x10, 0x20, 0x10, 0x00}, // ~
                                   {0x00, 0x00, 0x00, 0x00, 0x00, 0x00}};